Skip to content

List integrated diagnostics

Request

Returns a paginated list of Integrated Diagnostics for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""code""description""name"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
codestring

Practice- or vendor-specific code for the integrated diagnostic.

descriptionstring

Free-text description of the integrated diagnostic.

isActiveboolean

Whether this integrated diagnostic is active and available for use.

namestring

Human-readable name of the integrated diagnostic.

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/integrated-diagnostic?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&code=string&description=string&isActive=true&name=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Integrated Diagnostics